Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tapestry5.ioc.internal
Class AdvisorStackBuilder

    java.lang.Object
      org.apache.tapestry5.ioc.internal.AdvisorStackBuilder

All Implemented Interfaces:
  ObjectCreator

    public class AdvisorStackBuilder

extends java.lang.Object
implements ObjectCreator

Equivalent of `InterceptorStackBuilder`, but works using an `AspectInterceptorBuilder` that receives advice from `ServiceAdvisor`s.

Since:
  5.1.0.0

Constructor Summary
`AdvisorStackBuilder(ServiceDef3 serviceDef, ObjectCreator delegate, AspectDecorator aspectDecorator, InternalRegistry registry)`

Method Summary
`java.lang.Object` | `createObject()` Create and return the object.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AdvisorStackBuilder

    public AdvisorStackBuilder(ServiceDef3 serviceDef,
                               ObjectCreator delegate,
                               AspectDecorator aspectDecorator,
                               InternalRegistry registry)

Parameters:
  `serviceDef` - the service that is ultimately being constructed
  `delegate` - responsible for creating the object to be decorated
  `aspectDecorator` - used to create the `AspectInterceptorBuilder` passed to each `ServiceAdvisor`
  `registry` -

Method Detail

### createObject

    public java.lang.Object createObject()

  Description copied from interface: `ObjectCreator`
  Create and return the object. In some limited circumstances, the implementation may cache the result, returning the same object for repeated calls.

  Specified by:
    `createObject` in interface `ObjectCreator`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2012 The Apache Software Foundation.